Bug 477014 - change default thunderbird encoding to UTF-8
change default thunderbird encoding to UTF-8
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 12:02 EST by Matthew Woehlke
Modified: 2018-04-11 02:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 17:02:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 470505 None None None Never

  None (edit)
Description Matthew Woehlke 2008-12-18 12:02:01 EST
Fedora standardizes on UTF-8 encoding, and most people e.g. on fedora-devel use UTF-8. It would be helpful (and, appropriate to Fedora policy, I think) for Thunderbird to also use UTF-8 by default.

For newsgroups, it is currently necessary to change the encoding individually for each group. (I don't have a way to check right now if, or to what extent, this applies to mail also.)
Comment 1 Matěj Cepl 2008-12-18 17:02:08 EST
We found this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=224391) and believe that it is more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.
Comment 2 Matthew Woehlke 2008-12-19 14:26:17 EST
Thank you for the reply.

I disagree that this is the same bug. https://bugzilla.mozilla.org/show_bug.cgi?id=224391 is about outgoing mail/news. The problem I am having is with incoming news. Sorry if that wasn't clear.
Comment 3 Matěj Cepl 2008-12-19 18:22:25 EST
(In reply to comment #2)
> I disagree that this is the same bug.
> https://bugzilla.mozilla.org/show_bug.cgi?id=224391 is about outgoing
> mail/news. The problem I am having is with incoming news. Sorry if that wasn't
> clear.

OK, than it doesn't make any sense to me. Most incoming messages have Content-Type header with charset variable set, which of course governs what kind of encoding is used for given message.

Moreover, default encoding for situations when no Content-Type is used (which is quite rare these days) could be configured in Edit/Preferences/Display/Formatting/Fonts/Character Encodings.

This is not even CLOSED/UPSTREAM, this is really NOTABUG.
Comment 4 Matthew Woehlke 2008-12-19 19:30:58 EST
> Most incoming messages have Content-Type header with charset variable set

Then I suppose the real bug is that Thunderbird consistently ignores this, at least for newsgroups. (And I can verify that it is, in fact, ignoring the encoding. Which is to say if I View Source, I can see that a certain message is us-ascii, that I don't have "override encoding for all messages" enabled, and yet the encoding is being set to utf-8, i.e. the default.)

Anyway, the original request was to change the default encoding to be UTF-8. I don't think NOTABUG is an appropriate resolution for that (WONTFIX, maybe...).
Comment 5 Matthew Woehlke 2008-12-19 19:44:42 EST
I reported this upstream.

Note You need to log in before you can comment on or make changes to this bug.